Bug 727633 - Boot Hangs with Kernel 2.6.40-4.fc15.x86_64 at "Starting Wait for Plymouth Booth Screen to Quit"
Summary: Boot Hangs with Kernel 2.6.40-4.fc15.x86_64 at "Starting Wait for Plymouth Bo...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 16:46 UTC by sgtphou
Modified: 2012-08-07 18:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:29:37 UTC


Attachments (Terms of Use)

Description sgtphou 2011-08-02 16:46:30 UTC
Description of problem:

I performed a sudo yum update which brought me to kernel 2.6.40-4.fc15.x86_64. Upon boot, I did not get past the screen with a progress bar on the bottom. It got all the way to the right and did nothing else. Booting without the kernel arguments "rhgb" and "silent" reveals the last line seen to be "Starting Wait for Plymouth Booth Screen to Quit".

Version-Release number of selected component (if applicable):
Unknown

How reproducible:
Perform a sudo yum update to include kernel 2.6.40-4.fc15.x86_64 and boot.

Steps to Reproduce:
1. Perform a sudo yum update to include kernel 2.6.40-4.fc15.x86_64
2. Reboot, allowing the new kernel to boot, without the "rhgb" and "silent" kernel arguments
3. Wait for the stop at "Starting Wait for Plymouth Booth Screen to Quit"
  
Actual results:
System stops booting at "Starting Wait for Plymouth Booth Screen to Quit"

Expected results:
System to boot as normal

Additional info:
I performed this update on a 32-bit laptop and did not have the issue. Obviously we are not talking the 64-bit kernel, however, the kernel version is otherwise the same.

Comment 1 sgtphou 2011-08-02 16:51:31 UTC
Additionally, the workaround for me was to boot the previous kernel.

Comment 2 sgtphou 2011-08-02 17:20:06 UTC
I was able to get around this thanks to the help of Southern_Gentlem on freenodes #fedora by doing: yum install akmod-nvidia

Comment 3 Ike Stewart 2012-01-10 23:10:25 UTC
This bug still exists in 2.6.41.4-1.fc15.x86_64 I find it is highly repeatable on cold starts, but the boot process completes about 30% of the time on warm reboots.  Running on a Lenovo T420s with intel/nvidia hybrid graphics

Comment 4 Fedora End Of Life 2012-08-07 18:29:40 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.